Bug 238006 - hard system lockup during 'Starting udev:'
hard system lockup during 'Starting udev:'
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
Blocks: 427887
  Show dependency treegraph
Reported: 2007-04-26 10:48 EDT by Charlie Bennett
Modified: 2008-02-07 23:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-07 23:24:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
RPM list (6.77 KB, application/octet-stream)
2007-04-26 10:48 EDT, Charlie Bennett
no flags Details
lspci listings for our Dell 2950 configuration (43.78 KB, application/octet-stream)
2007-04-26 10:52 EDT, Charlie Bennett
no flags Details
lspci listings for our Gateway 9515R configurations (26.60 KB, application/octet-stream)
2007-04-26 10:55 EDT, Charlie Bennett
no flags Details

  None (edit)
Description Charlie Bennett 2007-04-26 10:48:36 EDT
Description of problem:

During reboot I'm frequently seeing hard lockups of the
system during udev startup.  I've turned on udev debugging
and I see this

udevd-event[754]: run_program: '/bin/sh' (stderr) 'FATAL: Module pnp:dIPI001
not found.'
udevd-event[759]: run_program: '/lib/udev/udev_run_hotplugd'
udevd-event[971]: pass_env_to_socket: passed -1 bytes to socket
udevd-event[812]: run_program" '/lib/udev/modprobe' (stderr) 'FATAL: Module
pci:v00008086d000025F0sv00001028sd000001B2bc06sc00i00 not found.'
udevd-event[978]: run_program: '/lib/udev/udev_run_hotplugd' returned with

And the system is locked hard requiring power cycle.

This happens most frequently on Dell 2950:
  dual-die dual-core in 32-bit mode
  8 GB RAM
  HW RAID via Dell Perc5/i (megaraid_sas)

I've also seen it on Gateway 9515R, also dual-die dual-core.
  dual-die dual-core in 32-bit mode
  4 GB RAM
  Fibre SAN via Emulex LP-101 (lpfc)

Version-Release number of selected component (if applicable):

Happens on kernels:

How reproducible:

Cycle the machines frequently.  Sometimes they
start fine, sometimes they lock.

Steps to Reproduce:
1. Install the machines, list of RPMs installed attached
2. Install our application
3. Reboot liberally
Actual results:

Lockup as described above

Expected results:

No lockups

Additional info:

This is an in-house derived distro.  I've attached our
RPM list to verify that nothing is missing.
Comment 1 Charlie Bennett 2007-04-26 10:48:37 EDT
Created attachment 153517 [details]
RPM list
Comment 2 Charlie Bennett 2007-04-26 10:52:23 EDT
Created attachment 153518 [details]
lspci listings for our Dell 2950 configuration
Comment 3 Charlie Bennett 2007-04-26 10:55:34 EDT
Created attachment 153520 [details]
lspci listings for our Gateway 9515R configurations

If more info is needed, drop me a line.
Comment 4 Jon Stanley 2008-01-07 20:47:24 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)


I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug, however this version of Fedora is no longer

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 5 Jon Stanley 2008-02-07 23:24:42 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.